clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
CallbackCall Class Reference

This class represents one callback call by name and an array of arguments. More...

`#include <PPCallbacksTracker.h>`

Collaboration diagram for CallbackCall:
[legend]

## Public Member Functions
| CallbackCall (llvm::StringRef Name)
| CallbackCall ()

## Public Attributes
std::string | Name
std::vector< Argument > | Arguments

## Detailed Description

This class represents one callback call by name and an array of arguments.

Definition at line 42 of file PPCallbacksTracker.h.

## Constructor & Destructor Documentation

CallbackCall::CallbackCall | ( | llvm::StringRef | Name | ) |
| inline

Definition at line 44 of file PPCallbacksTracker.h.

CallbackCall::CallbackCall | ( |  | ) |
| inline

Definition at line 45 of file PPCallbacksTracker.h.

## Member Data Documentation

std::vector<Argument> CallbackCall::Arguments

Definition at line 48 of file PPCallbacksTracker.h.

Referenced by outputPPTrace().

std::string CallbackCall::Name

Definition at line 47 of file PPCallbacksTracker.h.

Referenced by outputPPTrace().

The documentation for this class was generated from the following file:

- PPCallbacksTracker.h